Skip to main content
POST
/
v1
/
organizations
/
{organizationUid}
/
seed-groups
cURL
curl --request POST \
  --url https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "autoConfirmationEnabled": true,
  "seeds": [
    {
      "name": "<string>",
      "tags": [
        "<string>"
      ]
    }
  ],
  "tags": [
    "<string>"
  ]
}
'
{
  "seedGroup": {
    "autoConfirmationEnabled": true,
    "limitReached": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "uid": "<string>",
    "organizationUid": "<string>",
    "name": "<string>",
    "listingUid": "<string>",
    "lastScanAt": "2023-11-07T05:31:56Z",
    "asmEnabled": true,
    "totalSeeds": 123,
    "tags": [
      "<string>"
    ],
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>"
  },
  "failedSeedValidations": [
    {
      "message": "<string>",
      "property": "<string>",
      "value": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationUid
string
required

Unique identifier for an organization group. Unique identifier for an organization.

Pattern: ^[-_0-9a-z]{1,50}

Body

application/json

Supply Asset UID for the asset to upsert

name
string
required
autoConfirmationEnabled
boolean
seeds
object[]
tags
string[]
Pattern: ^[-_0-9a-zA-Z]{1,16}

Response

The current state of the requested asset.

seedGroup
object

The created seed group

failedSeedValidations
object[]
read-only

Array of failed validation rules for the seeds.